package guida_turistica_senza_interfacce;

public class PuntoGeo {
	
	private double latitudine;
	private double longitudine;
	
	public PuntoGeo(){
		this(0,0);
	}
	
	public PuntoGeo(double lat, double lon){
		latitudine = lat;
		longitudine = lon;
	}
	
	// punto 1)
	public boolean entroRaggio(PuntoGeo p, double r){
		return Math.sqrt(Math.pow(latitudine-p.getLatitudine(),2)+Math.pow(longitudine-p.getLongitudine(),2)) <= r;
	}
	
	public double getLatitudine(){
		return latitudine;
	}
	
	public double getLongitudine(){
		return longitudine;
	}

}
